Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Firefox 2 & 3 together

  1. #1
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Firefox 2 & 3 together

    I have installed 11.0 64 bit and everything is working fine. Just that some java based websites will not work with konqueror.

    With 10.3 I used to use the 32 bit version of firefox (2) to get round this problem. With 11.0 firefox 32 bit (3) won't run on a 64 bit install.

    Is it possible to have both firefox 3 64 bit and firefox 2 32 bit version both running on a 64 bit 11.0 install?

  2. #2
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: Firefox 2 & 3 together

    32 bit version should work if you have necessary compat-libraries installed.

    Launch the 32 bit firefox from a command prompt and see what it wants.

  3. #3
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Re: Firefox 2 & 3 together

    I have replaced firefox 3 64bit with the 32bit version (including all the extras needed).

    Running from a command window gives the error message:-

    Could not find compatible GRE between version 1.9.0 and 1.9.0.

    Does this mean anything to anyone?

  4. #4
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: Firefox 2 & 3 together

    Make sure both packages are installed:
    mozilla-xulrunner-190
    and
    mozilla-xulrunner-190-32bit

  5. #5
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Re: Firefox 2 & 3 together

    Thanks for that but both of these packages are installed.

    I then tried installing the 32bit firefox 2 from the legacy repo folder (which deleted firefox 3). This works fine but did add an extra dependancy which I thought would be it! But no luck - as when I re-installed the 32bit version of firefox 3 the same error message came up.

  6. #6
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Firefox 2 & 3 together

    Is it an option to place the portable version of Firefox?

    I have not seen a Linux version but there is always WINE.
    Far from ideal, but this way you might be able to keep your system intact up to the point that they get it fixed in the 64 bit version.

    It would be cool though if there is enough animo for a portable Linux version of Firefox making this less of a hassle.

    Just a thought..
    Wj
    Have a lot of fun!

  7. #7
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Firefox 2 & 3 together

    An old thread from the archives, it's referring to FireFox and Flash.. but it might help you get your install sorted:

    Howto: 64bit Firefox And Flash - openSUSE Forums

    Hope that helps,
    Wj

    edit, some extra info on nspluginwrapper ;

    Recently I found nspluginwrapper which allows to use 32bit plugins on a 64bit Firefox browser using nspluginwrapper.

    It is an Open Source compatibility plugin for Netscape 4 (NPAPI) plugins. That is, it enables you to use plugins on platforms they were not built for. For example, you can following plugin on Linux/x86_64 , NetBSD and FreeBSD platforms:
    => Acrobat Reader (v5.0.9, v7.0.1)
    => DejaVu Libre (v3.5.14)
    => Flash Player (v7.0, v9.0)
    => Linux JPEG 2000 (v0.0.2)
    => Mplayerplug-in (v2.80, v3.25)
    => Real Player (v10.0.5)
    Last edited by Magic31; 23-Jun-2008 at 14:09. Reason: added info
    Have a lot of fun!

  8. #8
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,102

    Default Re: Firefox 2 & 3 together

    Thanks for all the posting with ideas on how to deal with the problem - java working.

    In case anyone looks at this posting in the future the answer is to install the 32bit version of seamonkey. This installs without any problems and in the event of a java based website not fully working with konqueror you can use this instead.

  9. #9

    Default Re: Firefox 2 & 3 together

    I am at a loss to resolve a similar issue. I have the following revs:
    MozillaFirefox-3.0-1.2
    mozilla-xulrunner190-1.9.0.1-1.1
    mozilla-xulrunner190-32bit-1.9.0.1-1.1
    mozilla-xulrunner190-gnomevfs-1.9.0.1-1.1
    mozilla-xulrunner190-gnomevfs-32bit-1.9.0.1-1.1
    seamonkey-1.1.11-1.1
    seamonkey-dom-inspector-1.1.11-1.1
    seamonkey-venkman-1.1.11-1.1

    I have installed the 32 bit (x586) versions, tried removing the /etc/gre.d/*.conf, I have removed older versions, 64bit versions, reinstalled... nothing seems to get me beyond the dread

    Could not find compatible GRE between version 1.9.0 and 1.9.0.

    Is this a hint????
    > xulrunner --gre-version
    1.9.0.1
    > xulrunner --find-gre 1.9.0.1
    /usr/lib64/xulrunner-1.9.0.1/libxpcom.so

    Seeing that, I tried resetting the symlink /etc/alternatives/xulrunner... and
    > firefox
    Could not find compatible GRE between version 1.9.0 and 1.9.0.
    > xulrunner --find-gre 1.9.0.1
    Cannot find mozilla runtime directory. Exiting.

    Ugh!

    I am at a loss... Suggestions?

    --Eric

  10. #10

    Default Re: Firefox 2 & 3 together

    I had the very same problem with xulrunner and managed to solve it. I too had xulrunner and xulrunner-32 bit but that didn't work. So instead I reinstalled xulrunner (which was 64 bit) and installed it as a 32 bit package (i586 or something like that). That did the trick for me. Hope it works for you too.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •